default:
  image: centos:latest

job:
  before_script:
    - dnf install -y rpmdevtools epel-release
    - dnf install -y tito
  stage: build
  script:
    - rpmdev-setuptree
    - cp sunoslinux-release.spec ~/rpmbuild/SPECS/
    - cp EULA FRL RPM-GPG-KEY-sunOSLinux 99-default-disable.preset 90-default.preset 85-display-manager.preset sunoslinux.repo ~/rpmbuild/SOURCES/
    - cd ~/rpmbuild/SPECS/
    - rpmbuild -bs sunoslinux-release.spec
    - rpmbuild -bb sunoslinux-release.spec
    - cp -r ~/rpmbuild/RPMS/* /builds/morales-research-corporation/SunOS-Linux/<repository-path>/binaries/
    - cd /builds/morales-research-corporation/SunOS-Linux/<repository-path>/binaries/
    - ls -la
  artifacts:
    public: true
    untracked: true
    paths:
      - binaries/*
